Subject: Re: bug#18222: 24.3.92; fork handlers in gmalloc.c can lead to deadlock

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Aug 2014 05:39:58 +0300

> Date: Mon, 25 Aug 2014 08:28:59 +0900
> From: YAMAMOTO Mitsuharu <[email-masked]>
> Cc: Peter Hull <[email-masked]>, [email-masked]
> 
> I think it's worth trying also on other platforms that use gmalloc.

The problem is how to write the DUMPED and ALLOCATED_BEFORE_DUMPING
macros.  For Cygwin, they use some intimate knowledge about Cygwin
runtime internals; the question is, do other platforms have similar
facilities and features.

There's also the MinGW way of getting rid of gmalloc, but it needs a
different feature: the ability to specify a user-defined sbrk
function (which MS-Windows supports).